%define upstream_name    Dist-Zilla-Plugin-Author-Plicease
%define upstream_version 2.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Add a travis status button to the README.md file
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Dist)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::chdir)
BuildRequires: perl(IPC::System::Simple) >= 1.250.0
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
this is the description.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.410.0-4.mga10
+ Revision: 2205795
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.410.0-3.mga9
+ Revision: 1812227
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 2.410.0-2.mga8
+ Revision: 1543185
- Mageia 8 Mass Rebuild

* Sat Jan 18 2020 tv <tv> 2.410.0-1.mga8
+ Revision: 1481386
- update to 2.41

* Thu Jan 02 2020 tv <tv> 2.400.0-1.mga8
+ Revision: 1475553
- update to 2.40
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Dec 19 2019 tv <tv> 2.390.0-1.mga8
+ Revision: 1468872
- update to 2.39

* Sun Aug 25 2019 tv <tv> 2.380.0-1.mga8
+ Revision: 1431963
- update to 2.38

* Fri Jul 19 2019 tv <tv> 2.370.0-1.mga8
+ Revision: 1422871
- update to 2.37

* Tue Mar 12 2019 tv <tv> 2.360.0-1.mga7
+ Revision: 1374503
- update to 2.36

* Wed Mar 06 2019 tv <tv> 2.350.0-1.mga7
+ Revision: 1371955
- update to 2.35

* Fri Feb 22 2019 tv <tv> 2.340.0-1.mga7
+ Revision: 1369374
- update to 2.34

* Thu Feb 14 2019 tv <tv> 2.330.0-1.mga7
+ Revision: 1366963
- update to 2.33

* Mon Jan 21 2019 tv <tv> 2.320.0-1.mga7
+ Revision: 1358772
- update to 2.32

* Thu Jan 03 2019 tv <tv> 2.310.0-1.mga7
+ Revision: 1348784
- update to 2.31

* Wed Jan 02 2019 tv <tv> 2.300.0-1.mga7
+ Revision: 1348497
- update to 2.30

* Thu Dec 06 2018 tv <tv> 2.290.0-1.mga7
+ Revision: 1338664
- update to 2.29

* Thu Sep 20 2018 umeabot <umeabot> 2.280.0-2.mga7
+ Revision: 1282984
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 tv <tv> 2.280.0-1.mga7
+ Revision: 1255973
- update to 2.28

* Wed May 23 2018 tv <tv> 2.260.0-1.mga7
+ Revision: 1231792
- update to 2.26

* Thu Nov 30 2017 tv <tv> 2.250.0-1.mga7
+ Revision: 1180478
- update to 2.25

* Wed Nov 08 2017 tv <tv> 2.240.0-1.mga7
+ Revision: 1176572
- update to 2.24

* Wed Oct 04 2017 tv <tv> 2.230.0-1.mga7
+ Revision: 1168280
- update to 2.23

* Sun May 08 2016 shlomif <shlomif> 2.40.0-1.mga6
+ Revision: 1010579
- update to 2.04

* Thu Apr 28 2016 shlomif <shlomif> 2.30.0-1.mga6
+ Revision: 1007291
- Add missing BR
- imported package perl-Dist-Zilla-Plugin-Author-Plicease


* Thu Apr 28 2016 cpan2dist 2.03-1mga
- initial mageia release, generated with cpan2dist
